internal::join_node_FE< key_matching< K, KHash >, InputTuple, OutputTuple >::key_matching_FE_operation Class Reference
Inheritance diagram for internal::join_node_FE< key_matching< K, KHash >, InputTuple, OutputTuple >::key_matching_FE_operation:
Collaboration diagram for internal::join_node_FE< key_matching< K, KHash >, InputTuple, OutputTuple >::key_matching_FE_operation:

## Public Member Functions

| key_matching_FE_operation (const unref_key_type &e, bool q_task, op_type t)
| key_matching_FE_operation (output_type *p, op_type t)
| key_matching_FE_operation (op_type t)
Public Member Functions inherited from tbb::interface6::internal::aggregated_operation< Derived >
| aggregated_operation ()

## Public Attributes

char | type
unref_key_type | my_val
output_type * | my_output
task * | bypass_t
bool | enqueue_task
Public Attributes inherited from tbb::interface6::internal::aggregated_operation< Derived >
uintptr_t | status
| Zero value means "wait" status, all other values are "user" specified values and are defined into the scope of a class which uses "status". More...
Derived * | next

## Detailed Description

### template<typename InputTuple, typename OutputTuple, typename K, typename KHash>
class internal::join_node_FE< key_matching< K, KHash >, InputTuple, OutputTuple >::key_matching_FE_operation

Definition at line 1073 of file _flow_graph_join_impl.h.

## Constructor & Destructor Documentation

## key_matching_FE_operation() [1/3]

template<typename InputTuple , typename OutputTuple , typename K , typename KHash >

internal::join_node_FE< key_matching< K, KHash >, InputTuple, OutputTuple >::key_matching_FE_operation::key_matching_FE_operation | ( | const unref_key_type & | e,
|  | bool | q_task,
|  | op_type | t
| ) |  |

inline

Definition at line 1081 of file _flow_graph_join_impl.h.

: type(char(t)), my_val(e),
my_output(NULL), bypass_t(NULL), enqueue_task(q_task) {}

## key_matching_FE_operation() [2/3]

template<typename InputTuple , typename OutputTuple , typename K , typename KHash >

internal::join_node_FE< key_matching< K, KHash >, InputTuple, OutputTuple >::key_matching_FE_operation::key_matching_FE_operation | ( | output_type * | p,
|  | op_type | t
| ) |  |

inline

Definition at line 1083 of file _flow_graph_join_impl.h.

: type(char(t)), my_output(p), bypass_t(NULL),
enqueue_task(true) {}

## key_matching_FE_operation() [3/3]

template<typename InputTuple , typename OutputTuple , typename K , typename KHash >

internal::join_node_FE< key_matching< K, KHash >, InputTuple, OutputTuple >::key_matching_FE_operation::key_matching_FE_operation | ( | op_type | t | ) |

inline

Definition at line 1086 of file _flow_graph_join_impl.h.

: type(char(t)), my_output(NULL), bypass_t(NULL), enqueue_task(true) {}

## Member Data Documentation

## bypass_t

template<typename InputTuple , typename OutputTuple , typename K , typename KHash >

task* internal::join_node_FE< key_matching< K, KHash >, InputTuple, OutputTuple >::key_matching_FE_operation::bypass_t

Definition at line 1078 of file _flow_graph_join_impl.h.

## enqueue_task

template<typename InputTuple , typename OutputTuple , typename K , typename KHash >

bool internal::join_node_FE< key_matching< K, KHash >, InputTuple, OutputTuple >::key_matching_FE_operation::enqueue_task

Definition at line 1079 of file _flow_graph_join_impl.h.

## my_output

template<typename InputTuple , typename OutputTuple , typename K , typename KHash >

output_type* internal::join_node_FE< key_matching< K, KHash >, InputTuple, OutputTuple >::key_matching_FE_operation::my_output

Definition at line 1077 of file _flow_graph_join_impl.h.

## my_val

template<typename InputTuple , typename OutputTuple , typename K , typename KHash >

unref_key_type internal::join_node_FE< key_matching< K, KHash >, InputTuple, OutputTuple >::key_matching_FE_operation::my_val

Definition at line 1076 of file _flow_graph_join_impl.h.

## type

template<typename InputTuple , typename OutputTuple , typename K , typename KHash >

char internal::join_node_FE< key_matching< K, KHash >, InputTuple, OutputTuple >::key_matching_FE_operation::type

Definition at line 1075 of file _flow_graph_join_impl.h.

The documentation for this class was generated from the following file:

- _flow_graph_join_impl.h

internal::join_node_FE< key_matching< K, KHash >, InputTuple, OutputTuple >::key_matching_FE_operation::my_val
unref_key_type my_val
Definition: _flow_graph_join_impl.h:1076
internal::join_node_FE< key_matching< K, KHash >, InputTuple, OutputTuple >::key_matching_FE_operation::my_output
output_type * my_output
Definition: _flow_graph_join_impl.h:1077
internal::join_node_FE< key_matching< K, KHash >, InputTuple, OutputTuple >::key_matching_FE_operation::enqueue_task
bool enqueue_task
Definition: _flow_graph_join_impl.h:1079
internal::join_node_FE< key_matching< K, KHash >, InputTuple, OutputTuple >::key_matching_FE_operation::type
char type
Definition: _flow_graph_join_impl.h:1075
internal::join_node_FE< key_matching< K, KHash >, InputTuple, OutputTuple >::key_matching_FE_operation::bypass_t
task * bypass_t
Definition: _flow_graph_join_impl.h:1078
p
void const char const char int ITT_FORMAT __itt_group_sync p
Definition: ittnotify_static.h:91

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.